Public Attributes

# wxLogRecordInfo Class Reference

`#include <wx/log.h>`

## Detailed Description

Information about a log record (unit of the log output).

## Public Attributes
const char * | filename
| The name of the file where this log message was generated.
int | line
| The line number at which this log message was generated.
const char * | func
| The name of the function where the log record was generated.
time_t | timestamp
| Time when the log message was generated.
wxThreadIdType | threadId
| Id of the thread in which the message was generated.

List of all members.

## Member Data Documentation

const char* wxLogRecordInfo::filename

The name of the file where this log message was generated.

const char* wxLogRecordInfo::func

The name of the function where the log record was generated.

This field may be NULL if the compiler doesn't support `__FUNCTION__` (but most modern compilers do).

int wxLogRecordInfo::line

The line number at which this log message was generated.

wxThreadIdType wxLogRecordInfo::threadId

Id of the thread in which the message was generated.

This field is only available if wxWidgets was built with threads support (`wxUSE_THREADS == 1`).

See also:
  wxThread::GetCurrentId()

time_t wxLogRecordInfo::timestamp

Time when the log message was generated.

|  | [ top ]